%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-NamespaceSupport

Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:   	Perl XML Namespace Support Module 
Name:      	perl-%{perlname}
Version:   	1.09
Release:   	4
Provides:  	perl-XML-NamespaceSupport	
License: 	GNU/GPL
URL:		http://search.cpan.org/search?module=XML+NamespaceSupport
Group:          Development/Perl 
Source0: 	%{perlname}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl XML Namespace Support Module

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.09-4
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.12-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12-2
- Rebuild against perl-5.8.7
* Sun Jun 12 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.12-1
- Initial Release
